LWTextInternal::HFZone Struct Reference

Internal: the header/footer zone of a LWText. More...

## Public Member Functions

| HFZone ()
| constructor More...

## Public Attributes

int | m_numChar
| the number of char More...
MWAWEntry | m_pos
| the position of the text in the file More...
int | m_height
| the height More...
MWAWFont | m_font
| the font More...
MWAWParagraph::Justification | m_justify
| the paragraph justification More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, HFZone const &hf)
| operator<< More...

## Detailed Description

Internal: the header/footer zone of a LWText.

## Constructor & Destructor Documentation

LWTextInternal::HFZone::HFZone | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | HFZone const & | hf
| ) |  |

friend

operator<<

## Member Data Documentation

std::string LWTextInternal::HFZone::m_extra

extra data

Referenced by LWTextInternal::operator<<(), and LWText::readDocumentHF().

MWAWFont LWTextInternal::HFZone::m_font

the font

Referenced by LWText::readDocumentHF(), and LWText::sendHeaderFooter().

int LWTextInternal::HFZone::m_height

the height

Referenced by LWTextInternal::operator<<(), and LWText::readDocumentHF().

MWAWParagraph::Justification LWTextInternal::HFZone::m_justify

the paragraph justification

Referenced by LWTextInternal::operator<<(), LWText::readDocumentHF(), and LWText::sendHeaderFooter().

int LWTextInternal::HFZone::m_numChar

the number of char

Referenced by LWTextInternal::operator<<(), and LWText::readDocumentHF().

MWAWEntry LWTextInternal::HFZone::m_pos

the position of the text in the file

Referenced by LWText::sendHeaderFooter().

The documentation for this struct was generated from the following file:

- LWText.cxx